void getDailyGPS() {
  
  color[] monthColors = new color[12];
  monthColors[0] = color(255, 255, 255, 1); //January
  monthColors[1] = color(206, 255, 255, 1); //February
  monthColors[2] = color(137, 234, 180, 1); //March
  monthColors[3] = color(93, 214, 134, 1); //April
  monthColors[4] = color(57, 201, 99, 1); //May
  monthColors[5] = color(17, 183, 70, 1); //June
  monthColors[6] = color(49, 162, 2, 1); //July
  monthColors[7] = color(95, 162, 2, 1); //August
  monthColors[8] = color(162, 188, 0, 1); //September
  monthColors[9] = color(201, 172, 2, 1); //October
  monthColors[10] = color(162, 100, 5, 1); //November
  monthColors[11] = color(124, 113, 97, 1); //December
  
  println("Load starting");
  //SQLite db = new SQLite(this, databasePath);
  PostgreSQL db = new PostgreSQL(this, "localhost", databasePath, user, pass);
  if (db.connect() ) {

    //setup the dates    
    SimpleDateFormat yearMonthDayFormat = new SimpleDateFormat("yyyy-MM-dd");
    //yearMonthDayFormat.setTimeZone(new SimpleTimeZone(SimpleTimeZone.UTC_TIME, "UTC"));
    yearMonthDayFormat.setTimeZone(new SimpleTimeZone(-21600000, "America/Chicago"));
    //get the time right now
    Calendar cal = Calendar.getInstance();
    if (endDate.length() == 0) {
      endDate = yearMonthDayFormat.format(cal.getTime());
    } else {
      try {
        cal.setTime(yearMonthDayFormat.parse(endDate));
      }
      catch(ParseException e) {
        println(e);
      }
    }
    //set cal to the start date
    try {
      cal.setTime(yearMonthDayFormat.parse(startDate));
    }
    catch(ParseException e) {
      println(e);
    }
    String checkDate = yearMonthDayFormat.format(cal.getTime());
    cal.add(Calendar.DATE, 1);
    String nextCheckDate = yearMonthDayFormat.format(cal.getTime());
    
    int month = int(split(checkDate, '-')[1]); //get the month of the current day being retreived from the database

    //loop until checkDate is the same as the end date
    while ( checkDate.equals (endDate) == false ) {

      List pointDataList = new ArrayList<GPSPoint>();

      //String getTracksString = "select * from trackpointdata where time > '"+ checkDate +"' AND time < '" + nextCheckDate + "' order by time";
      //to_char(time, 'SSSS.MS') will return timestamp as number of seconds past midnight
      String getTracksString = "select lat, lon, alt, track_id, segment, cast(to_char(time, 'SSSS.MS') as decimal) as time from trackpointdata where time > '"+ checkDate +"' AND time < '" + nextCheckDate + "' and lat > " + southLat + " and lat < " + northLat + " and lon < " + eastLon + " and lon > " + westLon + " order by time";
      //println(getTracksString);
      print("Track " + checkDate);

      db.query(getTracksString);

      int segment = 0;
      int prevTrackId = -1;
      int prevSegment = 0;
      while ( db.next () ) {
        String pointTime = db.getString("time");
        //println(pointTime);
        float pointAlt = 0.0;
        //println(db.getString("alt"));
        if (db.getString("alt") != null)  pointAlt = float(db.getString("alt"));
        //float pointBearing = float(db.getString("bearing"));
        //float pointAccuracy = float(db.getString("accuracy"));
        //float pointSpeed = float(db.getString("speed"));
        PVector tempPoint = new PVector(float(db.getString("lon")), float(db.getString("lat")));
        //PVector tempUTMpoint = chiUTM.latLongToUTM(tempPoint);
        PVector convertedPoint = wm.transformCoords(tempPoint);
        float pointLat = convertedPoint.y;
        float pointLon = convertedPoint.x;

        int trackId = int(db.getString("track_id"));
        int pointSegment = int(db.getString("segment"));
        if (trackId != prevTrackId) {
          segment++;
          prevSegment = pointSegment;
          prevTrackId = trackId;
        } else if (pointSegment != prevSegment) {
          segment++;
          prevSegment = pointSegment;
        }
        //        println("trackIds " + prevTrackId + " " + trackId + " segments " + prevSegment + " " + pointSegment + " " + segment);
        pointDataList.add(new GPSPoint(pointLat, pointLon, pointAlt, pointTime, segment));
      }
      if (pointDataList.size() > 0) {
        GPSTrack tempTrack = new GPSTrack(pointDataList.size());
        tempTrack.points = (GPSPoint[])pointDataList.toArray(new GPSPoint[pointDataList.size()]);
        tempTrack.bornFrame = frameCount;
        tempTrack.trackColor = monthColors[month-1];
        tracks.add(new GPSTrack(tempTrack));
        //print(" color " + nf(month-1, 0), tempTrack.trackColor);
        //print(" born Frame " + tempTrack.bornFrame);
      }
      println(" " + pointDataList.size() + " points" );


      checkDate = nextCheckDate;
      month = int(split(checkDate, '-')[1]);
      cal.add(Calendar.DATE, 1);
      nextCheckDate = yearMonthDayFormat.format(cal.getTime());
    }
  }
  db.close();
  println("Load finished");
  loadFinished = true;
}

