// GPX Loader ********************************************************
GPSTrack loadCSVTrack(String loadtrackfile) {

  String[] csv = loadStrings(loadtrackfile);
  int trackstartindex=-1;

  //have to get past the end of the track summary to the actual point data
  for (int row=0; row<csv.length; row++) {
    String[] m = match(csv[row], "\"TRACK\"");

    if ( m != null) {
      trackstartindex = row + 1;
      break;
    }
  }

  int trackpointcount = csv.length - trackstartindex;

  GPSPoint[] loadedpoints = new GPSPoint[trackpointcount];

  //"TYPE","TIME","LAT","LON","ALT","BEARING","ACCURACY","SPEED","NAME","DESCRIPTION","SEGMENT"

  for (int index=trackstartindex; index<csv.length; index++) {
    float latitude = -1, longitude = -1, altitude = -1, bearing = -1, accuracy = -1, speed = -1;
    String time = "";
    int segment = -1;

    String[] pointrow=split(csv[index], ',');

    for (int column=0; column<pointrow.length; column++) {
      switch(column) {
      case 1:
        time = pointrow[1].substring(1, pointrow[1].length()-1);
        break;
      case 2:
        latitude = float(pointrow[2].substring(1, pointrow[2].length()-1));
        break;
      case 3:
        longitude = float(pointrow[3].substring(1, pointrow[3].length()-1));
        break;
      case 4:
        altitude = float(pointrow[4].substring(1, pointrow[4].length()-1));
        break;
      case 5:
        bearing = float(pointrow[5].substring(1, pointrow[5].length()-1));
        break;
      case 6:
        accuracy = float(pointrow[6].substring(1, pointrow[6].length()-1));
        break;
      case 7:
        speed = float(pointrow[7].substring(1, pointrow[7].length()-1));
        break;
      case 10:
        segment = int(pointrow[10].substring(1, pointrow[10].length()-1));
        break;
      }
    }

    GPSPoint temppoint = new GPSPoint(latitude, longitude, altitude, time, segment);

    int adjustedindex = index - trackstartindex;
    loadedpoints[adjustedindex] = temppoint;
  }

  GPSTrack temptrack = new GPSTrack(loadedpoints.length);  //instantiate the GPSTrack object with the number of points
  arrayCopy(loadedpoints, temptrack.points);

  println("Loaded " + temptrack.points.length + " from " + loadtrackfile);
  return temptrack;
}

